Login/Models/Entity/LoginContext.cs
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace Login.Models.Entity
{
    public class LoginContext : DbContext
    {
        public LoginContext()
        {
            Database.Connection.ConnectionString =
                "server=.;database=yms4406Login;uid=sa;pwd=onr5496";
        }

        public DbSet<User> Users { get; set; }
    }
}

Login/Models/Entity/User.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Login.Models.Entity
{
    public class User
    {
        public int ID { get; set; }
        public string Adi { get; set; }
        public string Soyad { get; set; }
        public string Email { get; set; }
        public string Sifre { get; set; }
    }
}

Login/Models/VW/VWUser.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Login.Models.VW
{
    public class VWUser
    {
        public string Email { get; set; }
        public string Password { get; set; }
        public bool RememberMe { get; set; }
    }
}

Login/Controllers/HomeController.cs
using Login.Models.Entity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;

namespace Login.Controllers
{
    [Authorize]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {

            //About ve Contact sayfaları silinecek
            return View();
        }
        
        public ActionResult About()
        {
            LoginContext db = new LoginContext();
            var kullanici = db.Users.FirstOrDefault(x=>x.Email == User.Identity.Name);
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        public ActionResult Cikis()
        {
            FormsAuthentication.SignOut();
            return Redirect(FormsAuthentication.LoginUrl);
        }
    }
}

Login/Controllers/LoginController.cs
using Login.Models.Entity;
using Login.Models.VW;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;

namespace Login.Controllers
{
    public class LoginController : Controller
    {
        // GET: Login
        public ActionResult Index()
        {
            return View();
        }
        [HttpPost]
        public ActionResult Index(VWUser vwuser, string ReturnUrl)
        {
            LoginContext db = new LoginContext();

            ReturnUrl = HttpUtility.ParseQueryString(Request.UrlReferrer.Query)["ReturnUrl"]; //url kısmına verdiğimiz sayfaya login işleminden sonra direk gitmesini sağlar.

            var user = db.Users.FirstOrDefault(x => x.Email == vwuser.Email && x.Sifre == vwuser.Password);

            if (user != null)
            {
                FormsAuthentication.SetAuthCookie(vwuser.Email, vwuser.RememberMe);

                if (ReturnUrl.Length > 0)
                {
                    return Redirect(ReturnUrl);
                }

                return RedirectToAction("Index", "Home");
            }

            TempData["Mesaj"] = "Kullanıcı adı veya şifre yanlış";

            return View(vwuser);
        }
    }
}

Login/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<p>Use this area to provide additional information.</p>

Login/Views/Home/Contact.cshtml
@{
    ViewBag.Title = "Contact";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

Login/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Home Page";
}

<div class="jumbotron">
    <h1>ASP.NET</h1>
    <p class="lead">ASP.NET is a free web framework for building great Web sites and Web applications using HTML, CSS and JavaScript.</p>
    <p><a href="https://asp.net" class="btn btn-primary btn-lg">Learn more &raquo;</a></p>
</div>

<div class="row">
    <div class="col-md-4">
        <h2>Getting started</h2>
        <p>
            ASP.NET MVC gives you a powerful, patterns-based way to build dynamic websites that
            enables a clean separation of concerns and gives you full control over markup
            for enjoyable, agile development.
        </p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301865">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Get more libraries</h2>
        <p>NuGet is a free Visual Studio extension that makes it easy to add, remove, and update libraries and tools in Visual Studio projects.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301866">Learn more &raquo;</a></p>
    </div>
    <div class="col-md-4">
        <h2>Web Hosting</h2>
        <p>You can easily find a web hosting company that offers the right mix of features and price for your applications.</p>
        <p><a class="btn btn-default" href="https://go.microsoft.com/fwlink/?LinkId=301867">Learn more &raquo;</a></p>
    </div>
</div>

Login/Views/Login/Index.cshtml
@using Login.Models.VW
@model VWUser
@{
	Layout = null;
}

<!DOCTYPE html>
<html lang="en">
<head>
	<title>Login V3</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<!--===============================================================================================-->
	<link rel="icon" type="image/png" href="~/Content/LoginPage/images/icons/favicon.ico" />
	<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/~/Content/LoginPage/vendor/bootstrap/css/bootstrap.min.css">
	<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/fonts/font-awesome-4.7.0/css/font-awesome.min.css">
	<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/fonts/iconic/css/material-design-iconic-font.min.css">
	<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/~/Content/LoginPage/vendor/animate/animate.css">
	<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/~/Content/LoginPage/vendor/css-hamburgers/hamburgers.min.css">
	<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/~/Content/LoginPage/vendor/animsition/css/animsition.min.css">
	<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/~/Content/LoginPage/vendor/select2/select2.min.css">
	<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/~/Content/LoginPage/vendor/daterangepicker/daterangepicker.css">
	<!--===============================================================================================-->
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/css/util.css">
	<link rel="stylesheet" type="text/css" href="~/Content/LoginPage/css/main.css">
	<!--===============================================================================================-->
</head>
<body>

	<div class="limiter">
		<div class="container-login100" style="background-image: url('/Content/LoginPage/images/bg-01.jpg');">
			<div class="wrap-login100">
				@using (Html.BeginForm("Index", "Login", FormMethod.Post, new { @class = "login100-form validate-form" }))
				{
					<span class="login100-form-logo">
						<i class="zmdi zmdi-code-smartphone"></i>
					</span>

					<span class="login100-form-title p-b-34 p-t-27">
						Log in
					</span>

					<div class="text-center">
						<a class="txt1" href="#">
							@TempData["Mesaj"]
						</a>
					</div>

					<div class="wrap-input100 validate-input" data-validate="Enter username">
						@Html.TextBoxFor(x => x.Email, new { @class = "input100", placeholder = "Email", autocomplete = "off" })
						<span class="focus-input100" data-placeholder="&#xf207;"></span>
					</div>

					<div class="wrap-input100 validate-input" data-validate="Enter password">
						@Html.PasswordFor(x => x.Password, new { @class = "input100", placeholder = "Şifre" })
						<span class="focus-input100" data-placeholder="&#xf191;"></span>
					</div>

					<div class="contact100-form-checkbox">
						@Html.CheckBoxFor(x => x.RememberMe, new { @class = "input-checkbox100", id = "ckb1" })

						@*<input class="input-checkbox100" id="ckb1" type="checkbox" name="remember-me">*@
						<label class="label-checkbox100" for="ckb1">
							Remember me
						</label>
					</div>

					<div class="container-login100-form-btn">
						<button class="login100-form-btn">
							Login
						</button>
					</div>

					<div class="text-center p-t-90">
						<a class="txt1" href="#">
							Forgot Password?
						</a>
					</div>
				}



			</div>
		</div>
	</div>


	<div id="dropDownSelect1"></div>

	<!--===============================================================================================-->
	<script src="~/Content/LoginPage/~/Content/LoginPage/vendor/jquery/jquery-3.2.1.min.js"></script>
	<!--===============================================================================================-->
	<script src="~/Content/LoginPage/~/Content/LoginPage/vendor/animsition/js/animsition.min.js"></script>
	<!--===============================================================================================-->
	<script src="~/Content/LoginPage/~/Content/LoginPage/vendor/bootstrap/js/popper.js"></script>
	<script src="~/Content/LoginPage/~/Content/LoginPage/vendor/bootstrap/js/bootstrap.min.js"></script>
	<!--===============================================================================================-->
	<script src="~/Content/LoginPage/~/Content/LoginPage/vendor/select2/select2.min.js"></script>
	<!--===============================================================================================-->
	<script src="~/Content/LoginPage/~/Content/LoginPage/vendor/daterangepicker/moment.min.js"></script>
	<script src="~/Content/LoginPage/~/Content/LoginPage/vendor/daterangepicker/daterangepicker.js"></script>
	<!--===============================================================================================-->
	<script src="~/Content/LoginPage/~/Content/LoginPage/vendor/countdowntime/countdowntime.js"></script>
	<!--===============================================================================================-->
	<script src="~/Content/LoginPage/js/main.js"></script>
	<!--===============================================================================================-->
	<script>	$('input[type="hidden"]').remove();</script> @*remember me chechboxa yazdığımız yer (seçilebilrmesi için)*@

</body>
</html>

Login/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Application name", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
				<ul class="nav navbar-nav">
					<li>@Html.ActionLink("Home", "Index", "Home")</li>
					<li>@Html.ActionLink("About", "About", "Home")</li>
					<li>@Html.ActionLink("Contact", "Contact", "Home")</li>
					<li>@Html.ActionLink("Logout", "Cikis", "Home")</li>
				</ul>
            </div>
        </div>
    </div>
    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    @RenderSection("scripts", required: false)
</body>
</html>